package com.iformall.enums;

public enum EnumUserType {

    CUSER(1, "C端用户"),
    CUSERBASIC(2, "C端用户(偏向A端)"),
    BUSER(3, "B端用户"),
    MALLUSER(4, "A端用户")
    ;

    public static EnumUserType getEnum(Integer code) {
        for (EnumUserType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumUserType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
